@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  html {
    scroll-behavior: smooth;
  }
  
  ::selection {
    background-color: rgba(79, 70, 229, 0.2); /* indigo-600/20 */
    color: inherit;
  }
}

/* Custom Scrollbar for Textareas */
.custom-scrollbar::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.custom-scrollbar::-webkit-scrollbar-track {
  background: transparent;
}

/* Light Mode Thumb */
.custom-scrollbar::-webkit-scrollbar-thumb {
  background-color: #cbd5e1; /* slate-300 */
  border-radius: 20px;
}

.custom-scrollbar::-webkit-scrollbar-thumb:hover {
  background-color: #94a3b8; /* slate-400 */
}

/* Dark Mode Thumb */
.dark .custom-scrollbar::-webkit-scrollbar-thumb {
  background-color: #3f3f46; /* zinc-700 */
}

.dark .custom-scrollbar::-webkit-scrollbar-thumb:hover {
  background-color: #52525b; /* zinc-600 */
}
